changeset 1232:e93f17722cdf

When BUILD_STATIC=all that inclues oneit.
author Rob Landley <rob@landley.net>
date Wed, 01 Sep 2010 00:58:00 -0500
parents 0a1a177d0e28
children a4734fc22a6d
files simple-root-filesystem.sh
diffstat 1 files changed, 4 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/simple-root-filesystem.sh	Tue Aug 31 18:25:34 2010 -0500
+++ b/simple-root-filesystem.sh	Wed Sep 01 00:58:00 2010 -0500
@@ -62,8 +62,10 @@
 # Build the world's simplest init program: spawns one task with a controlling
 # TTY, waits (reaping zombies) until it exits, then shuts down the system.
 
-${ARCH}-cc "$SOURCES/toys/oneit.c" -Os $CFLAGS -o "$STAGE_DIR/sbin/oneit" ||
-  dienow
+TEMP=
+[ "$BUILD_STATIC" == all ] && TEMP=--static
+${ARCH}-cc "$SOURCES/toys/oneit.c" -Os $CFLAGS $TEMP \
+  -o "$STAGE_DIR/sbin/oneit" || dienow
 
 # Put statically and dynamically linked hello world programs on there for
 # test purposes.